Description

Probably since the Erlang DPMs were shut down, ACNET returns [1 -42] (ACNET_NODE_DOWN) errors for devices from the
aliased acnet nodes for CLX58. There are several (CMLRFA, CMLRFB, CMLRFC, CMLRFD, and STCLRF) nodes which are
aliased to CLX58 (CLX58E?). What had previously worked was for the Erlang front-end to just run as the default node CLX58, not
the normal CLX58E. That let things work. Now, we get 1 -42 errors both from the aliased node devices (e.g. T:1LQID, T:SQSYID)
and from devices which are on CLX58E itself (e.g. U:GRWD8A, T:CDLPCC).

When we run the Erlang front-end as default node CLX58E, the devices assigned to it (U:GRWD8a) work, but the others (aliases)
still don't ([1 -42] errors).

Rich suggests that having Charlie restart the consolidating java node will clear this. But that seems like a non-ideal temporary
solution.

History

#1 - 09/27/2019 10:29 AM - Richard Neswold
- Status changed from New to Assigned

- Description updated

Just a comment to add: the forwarding-requests-to-the-default-node feature was a hack to get OACs to work with virtual nodes. This feature wasn't
advertised because it was never intended to be permanent. Charlie has been slowly moving the Java world over to achetd and when that's complete,
this feature was to go away.

The better, long-term solution is to break your front-end into five. The mk_acsysfe script would make this easy to do.

#2 - 09/27/2019 02:22 PM - Denise Finstrom

A temporary fix was made to the acnet startup script to restore the default node fallback behavior on cIx58.

#3 - 01/28/2020 01:57 PM - Richard Neswold
- Tracker changed from Bug to Support

So do | close out this issue? Is there a more permanent solution in the works?
